# conicalgradient.cpp File Reference

Implementation of the "Conical Gradient" layer. More...

`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/angle.h>`
`#include "conicalgradient.h"`

## Functions

| SYNFIG_LAYER_INIT (ConicalGradient)
| SYNFIG_LAYER_SET_NAME (ConicalGradient,"conical_gradient")
| SYNFIG_LAYER_SET_LOCAL_NAME (ConicalGradient, N_("Conical Gradient"))
| SYNFIG_LAYER_SET_CATEGORY (ConicalGradient, N_("Gradients"))
| SYNFIG_LAYER_SET_VERSION (ConicalGradient,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (ConicalGradient,"$Id$")

## Detailed Description

Implementation of the "Conical Gradient" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | ConicalGradient |  | ) |

SYNFIG_LAYER_SET_NAME | ( | ConicalGradient | ,
|  | "conical_gradient" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | ConicalGradient | ,
|  | N_("Conical Gradient") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | ConicalGradient | ,
|  | N_("Gradients") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | ConicalGradient | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | ConicalGradient | ,
|  | "$Id$" |  |
| ) |  |  |